package sdz.chapitreTrois.explorateur;

import sdz.chapitreTrois.explorateur.ColorPickerView.OnColorChangedListener;
import android.app.AlertDialog.Builder;
import android.content.Context;
import android.graphics.Color;
import android.preference.DialogPreference;
import android.util.AttributeSet;

public class ColorPickerPreferenceDialog extends DialogPreference implements OnColorChangedListener{
	private int mColor = 0;

	public ColorPickerPreferenceDialog(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	/**
	 * Dclench ds qu'on ferme la bote de dialogue
	 */
	protected void onDialogClosed(boolean positiveResult) {
		// Si l'utilisateur a cliqu sur "OK"
		if (positiveResult) {
			persistInt(mColor);
			// OU getSharedPreferences().edit().putInt(getKey(), mColor).commit();
		}

		super.onDialogClosed(positiveResult);
	}

	/**
	 * Pour construire la bote de dialogue
	 */
	protected void onPrepareDialogBuilder(Builder builder) {
		// On rcupre l'ancienne couleur ou la couleur par dfaut
		int oldColor = getSharedPreferences().getInt(getKey(), Color.BLACK);
		// On insre la vue dans la bote de dialogue
		builder.setView(new ColorPickerView(getContext(), this, oldColor));

		super.onPrepareDialogBuilder(builder);
	}

	/**
	 * Dclench  chaque fois que l'utilisateur choisit une couleur
	 */
	public void colorChanged(int color) {
		mColor = color;
	}
}